CREATE TABLE USER_TABLE ( _ID integer primary key autoincrement,  CUST_ID TEXT NOT NULL);

CREATE TABLE ACCOUNT(_ID INTEGER PRIMARY KEY autoincrement, USER_ID INTEGER REFERENCES USER_TABLE(_ID), ACCOUNT_TYPE TEXT, ACCOUNT_NUM TEXT NOT NULL, ACCOUNT_NAME TEXT, OWN INTEGER NOT NULL, GROUP_TYPE TEXT);

CREATE TABLE CARD(_ID INTEGER PRIMARY KEY autoincrement, USER_ID INTEGER REFERENCES USER_TABLE(_ID), CARD_NUM TEXT NOT NULL, CARD_NAME TEXT, OWN INTEGER NOT NULL );

CREATE TABLE FAX(_ID INTEGER PRIMARY KEY autoincrement, USER_ID INTEGER REFERENCES USER_TABLE(_ID), FAX_NUM NOT NULL UNIQUE, FAX_NAME TEXT NOT NULL);

CREATE TABLE OWNER(_ID INTEGER PRIMARY KEY autoincrement, USER_ID INTEGER REFERENCES USER_TABLE(_ID), OWNER_NUM NOT NULL UNIQUE, OWNER_NAME TEXT NOT NULL);

CREATE TABLE EMAIL(_ID INTEGER PRIMARY KEY autoincrement, USER_ID INTEGER REFERENCES USER_TABLE(_ID), EMAIL_ADD NOT NULL UNIQUE );

CREATE TABLE CHARITY(_ID INTEGER PRIMARY KEY autoincrement, CHARITY_NAME TEXT, EVOUCHER_ID TEXT );

CREATE  TABLE MOBILE_OPERATOR(_ID INTEGER PRIMARY KEY autoincrement, OP_NAME TEXT , OPERATOR_ID INTEGER);

CREATE TABLE EVOUCHER(_ID INTEGER PRIMARY KEY autoincrement, OPERATOR_ID INTEGER REFERENCES MOBILE_OPERATOR(_ID), COST INTEGER, TITLE TEXT, EV_ID TEXT);

CREATE TABLE INBOX_MESSAGE(  _ID INTEGER PRIMARY KEY autoincrement, USER_ID INTEGER ,   OPENED INTEGER NOT NULL, CONTENT TEXT NOT NULL, TITLE TEXT, MSG_DATE INTEGER, SOURCE TEXT);

CREATE TABLE LOAN(_ID INTEGER PRIMARY KEY autoincrement, USER_ID INTEGER REFERENCES USER_TABLE(_ID), LOAN_TYPE TEXT, LOAN_NUM TEXT NOT NULL UNIQUE, LOAN_NAME TEXT );

CREATE TABLE USER_CONFIGURATION(_ID INTEGER PRIMARY KEY autoincrement, CNT_TYPE INTEGER, THEME INTEGER, LANG TEXT);

CREATE TABLE CHARGE (_ID INTEGER PRIMARY KEY autoincrement, USER_ID INTEGER REFERENCES USER_TABLE(_ID), OP_NAME TEXT, PRICE TEXT, CODE TEXT, SERIAL TEXT, PURCHASE_DATE TEXT);

CREATE TABLE REFERENCE_CODES(_ID INTEGER PRIMARY KEY autoincrement ,OPERATION_CODE TEXT NOT NULL ,RELATED_ACCOUNT_NUMBER TEXT NOT NULL, OPERATION_TITLE TEXT NOT NULL);

INSERT INTO  USER_CONFIGURATION values (1, 2, 0, 'FA');

INSERT INTO REFERENCE_CODES VALUES (1, 104, '', 'پرداخت اقساط تسهیلات جعاله 02-635449-2');
INSERT INTO REFERENCE_CODES VALUES (2, 115, '', 'تجارت الکترونیک پارسیان - دریافت صورتحساب واریز به 1-5564-0');
INSERT INTO REFERENCE_CODES VALUES (3, 122, '', 'بیمه پارسیان - پرداخت حق بیمه - سپرده 810-1198-9');
INSERT INTO REFERENCE_CODES VALUES (4, 112, '', 'پرداخت اقساط تسهیلات مسکن 02-439792-9');
INSERT INTO REFERENCE_CODES VALUES (5, 113, '', 'تسویه نهایی تسهیلات مسکن 02-439799-6');
INSERT INTO REFERENCE_CODES VALUES (6, 102, '', 'صندوق بیمه آینده ساز 810-2946-0');
INSERT INTO REFERENCE_CODES VALUES (7, 121, '', 'بیمه پارسیان - پرداخت حق بیمه 2-926907-02');
INSERT INTO REFERENCE_CODES VALUES (8, 103, '', 'اقساط تسهیلات خودرو کارکنان پارسیان 02-638151-0');
INSERT INTO REFERENCE_CODES VALUES (9, 152, '', 'شرکت فرابورس ایران 811-722-5');
INSERT INTO REFERENCE_CODES VALUES (10, 172, '', 'شرکت پتروشیمی مروارید');
INSERT INTO REFERENCE_CODES VALUES (11, 132, '', 'نوسازی ناوگان تاکسیرانی 219010210');

INSERT INTO MOBILE_OPERATOR VALUES (1,'همراه اول',0);
INSERT INTO MOBILE_OPERATOR VALUES (2,'ایرانسل',1);
INSERT INTO MOBILE_OPERATOR VALUES (3,'رایتل',2);
INSERT INTO MOBILE_OPERATOR VALUES (4,'تالیا',3);

INSERT INTO EVOUCHER VALUES (1,1, 20000, 'شارژ 20,000 ریالی - همراه اول', 1);
INSERT INTO EVOUCHER VALUES (2,1, 50000, 'شارژ 50,000 ریالی - همراه اول', 2);
INSERT INTO EVOUCHER VALUES (3,1, 100000, 'شارژ 100,000 ریالی همراه اول', 3);
INSERT INTO EVOUCHER VALUES (4,1, 200000, 'شارژ 200,000 ریالی - همراه اول', 81);
INSERT INTO EVOUCHER VALUES (5,1, 500000, 'شارژ 500,000 ریالی - همراه اول', 83);
INSERT INTO EVOUCHER VALUES (6,1, 1000000, 'شارژ 1,000,000 ریالی - همراه اول', 84);
INSERT INTO EVOUCHER VALUES (7,1, 10000, 'شارژ 10,000 ریالی - همراه اول', 109);


INSERT INTO EVOUCHER VALUES (8,2, 20000, 'شارژ 20,000 ریالی - ایرانسل', 4);
INSERT INTO EVOUCHER VALUES (9,2, 50000, 'شارژ 50,000 ریالی - ایرانسل', 5);
INSERT INTO EVOUCHER VALUES (10,2, 100000, 'شارژ 100,000 ریالی - ایرانسل', 6);
INSERT INTO EVOUCHER VALUES (11,2, 200000, 'شارژ 200,000 ریالی - ایرانسل', 82);
INSERT INTO EVOUCHER VALUES (12,2, 10000, 'شارژ 10,000 ریالی - ایرانسل', 111);

INSERT INTO EVOUCHER VALUES (13,3, 20000, 'شارژ 20,000 ریالی - رایتل', 105);
INSERT INTO EVOUCHER VALUES (14,3, 50000, 'شارژ 50,000 ریالی - رایتل', 106);
INSERT INTO EVOUCHER VALUES (15,3, 100000, 'شارژ 100,000 ریالی - رایتل', 107);
INSERT INTO EVOUCHER VALUES (16,3, 200000, 'شارژ 200,000 ریالی - رایتل', 108);
INSERT INTO EVOUCHER VALUES (17,3, 500000, 'شارژ 500,000 ریالی - رایتل', 110);

INSERT INTO EVOUCHER VALUES (18,4, 20000, 'شارژ 20,000 ریالی - تالیا', 101);
INSERT INTO EVOUCHER VALUES (19,4, 50000, 'شارژ 50,000 ریالی - تالیا', 102);
INSERT INTO EVOUCHER VALUES (20,4, 100000, 'شارژ 100,000 ریالی - تالیا', 103);
INSERT INTO EVOUCHER VALUES (21,4, 200000, 'شارژ 200,000 ریالی - تالیا', 104);